Bug 97000 - i8253 count too high! resetting...
i8253 count too high! resetting...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Maly
RHEL3U7NAK
:
: 102973 103024 (view as bug list)
Depends On:
Blocks: RHEL3U8CanFix 186960
  Show dependency treegraph
 
Reported: 2003-06-08 10:23 EDT by bill parducci
Modified: 2007-11-30 17:06 EST (History)
14 users (show)

See Also:
Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 09:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bill parducci 2003-06-08 10:23:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
my logs are filling with the message:

"i8253 count too high! resetting..."

and i am seeing a number of behaviors that i think may be related to this (not
necessarily concurrently):

1. peridocially the system speaker will emit a continuous whine (getting the OS
to beep resets it)

2. the system will hang (not just X, i can't shell in)

3. samba keep resetting TCP connections to my windows boexes (may be reltaed to
bug #17542)



Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
1. boot machine as configured
2.
3.
    

Additional info:

i am running rh9 on a 1.3 ghz athlon processor, i have the latest updates from rhn.

i noticed a 'general' resolution to this problem here:

http://www.cs.helsinki.fi/linux/linux-kernel/2003-15/1442.html
(i too am running on an ASUS A7A266 moboard)

this is wht samba is complaining about:

"smbd/oplock_linux.c:linux_init_kernel_oplocks(287) Failed to setup
RT_SIGNAL_LEASE handler"

...every THREE seconds.
Comment 1 Marc Schmitt 2003-06-10 09:38:56 EDT
I see the same problem on an Asus A7V Athlon motherboard (VIA KT-133 chipset).
I've regenerated the RedHat 7.3 installer CDs with the 2.4.20-18.7 errata
kernel, I'm not able to install on that box since then. I'm doing a bootnet
installation, here is what I get after the installer has tried to modify the
partition table on /dev/hda:

- on the primary console, I get the following error message:
The kernel was unable to re-read the partition table on /tmp/hda (Device or
resource busy). This means Linux knows nothing about any modifications you made.
You should reboot your computer before doing anything with /tmp/hda. (Here you
can only press 'Ignore' which is ignored, the error messages keeps appearing
- on the Alt-F4 console, there is 10 times the line:
i8253 count too high! resetting...

I changed the kernel parameters in the syslinux.cfg of the bootnet floppy and
added ide=nodma, but it did not change anything. Are there other boot options
that could help this problem or will a kernel errata be the only workaround for
this issue? TIA

Greetz
    Marc
Comment 2 Marco Colombo 2003-06-16 12:05:36 EDT
I'm seeing the same message on an A7A-266, since I've upgraded
to kernel-2.4.20-13.7. Never seen it before. The box has been
kept up to date, and previous kernel versions, starting with
2.4.18-5 and up to 2.4.18-27.7.x (included) showed no problems.
The uptime right now is 12 days, and the box showed no other
problems, just annoying messages in syslog:

i8253 count too high! resetting..

Brief lspci follows (more detailed one is available on demand):

00:00.0 Host bridge: Acer Laboratories Inc. [ALi] M1647 Northbridge [MAGiK 1 /
MobileMAGiK 1] (rev b0)
00:01.0 PCI bridge: Acer Laboratories Inc. [ALi] PCI to AGP Controller
00:02.0 USB Controller: Acer Laboratories Inc. [ALi] USB 1.1 Controller (rev
03)00:04.0 IDE interface: Acer Laboratories Inc. [ALi] M5229 IDE (rev c4)
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:06.0 USB Controller: Acer Laboratories Inc. [ALi] USB 1.1 Controller (rev
03)00:07.0 ISA bridge: Acer Laboratories Inc. [ALi] M1533 PCI to ISA Bridge
[Aladdin IV]
00:09.0 Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 41)
00:0a.0 Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 41)
00:11.0 Bridge: Acer Laboratories Inc. [ALi] M7101 PMU
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS]: Unknown
device 0325
Comment 3 Mario Lorenz 2003-08-04 03:41:49 EDT
This bug is still present in 2.4.20-19.7
Thats an ASUS mainboard as well.
I seem to remember a similar message about a via timer bug back in 2.2 times
but went away (dunno exact kernel versions tho) and it did not occur on 2.4.20
until 2.4.20
Comment 4 jerry asher 2003-08-18 13:13:22 EDT
I am seeing this with RedHat 8, Kernel 2.4.20-19.9 on my laptop, a Toshiba
Portege 4000.  I don't know the maker of the motherboard.  

The system is running natively, not under vmware....

This machine does not get much use running linux, but I never saw this before
running 2.4.20-19.9.  And I never saw it under RH 8 on this machine.

Overnight, with no one using the machine, isolated on my home lan, also with NO
use at night, the condition occurred four times.  The system did not lockup.
Comment 5 jerry asher 2003-08-18 13:14:45 EDT
A typo.  That's Redhat 9, not 8.
Comment 6 Bill Nottingham 2003-08-25 13:57:57 EDT
*** Bug 102973 has been marked as a duplicate of this bug. ***
Comment 7 Eric Hagberg 2003-08-25 14:07:51 EDT
I've seen the same error as well, on a non-athlon system (HP dl380G2)
Comment 8 Chris Ricker 2003-08-25 14:10:16 EDT
I get this with severn on an HP Pavilion 4400 series (Athlon ATI / ALi)

00:00.0 Host bridge: ATI Technologies Inc: Unknown device cab0 (rev 13)
00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 320M] (rev 01)
00:02.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:06.0 Multimedia audio controller: ALi Corporation M5451 PCI AC-Link
Controller Audio Device (rev 02)
00:07.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin IV]
00:08.0 Modem: ALi Corporation Intel 537 [M5457 AC-Link Modem]
00:0a.0 CardBus bridge: O2 Micro, Inc. OZ6912 Cardbus Controller
00:10.0 IDE interface: ALi Corporation M5229 IDE (rev c4)
00:11.0 Bridge: ALi Corporation M7101 PMU
00:12.0 Ethernet controller: National Semiconductor Corporation DP83815
(MacPhyter) Ethernet Controller
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility U1
Comment 9 Hugh Crissman 2003-09-14 10:40:52 EDT
Still happening with:

Kernel 2.4.20-20.9
AMD 1300mhz Athelon
Asus A7A266 Motherboard
Comment 10 Eric Hagberg 2003-09-17 11:44:18 EDT
Also seen on a Dell 6650 (non Athlon, of course), with
2.4.21-1.1931.2.423.enthugemem.
Comment 11 David Watson 2003-11-06 21:35:49 EST
I am seeing this on Emachines M5310 (Athlon XP-M) running Fedora Core
1 (yarrow) 2.4.22-1.2115.nptl.

00:00.0 Host bridge: ATI Technologies Inc AGP Bridge [IGP 320M] (rev 13)
00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 320M] (rev 01)
00:07.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin IV]
00:08.0 Multimedia audio controller: ALi Corporation M5451 PCI AC-Link
Controller Audio Device (rev 02)
00:09.0 Modem: ALi Corporation Intel 537 [M5457 AC-Link Modem]
00:0a.0 CardBus bridge: Texas Instruments PCI4410 PC card Cardbus
Controller (rev 02)
00:0a.1 FireWire (IEEE 1394): Texas Instruments PCI4410 FireWire
Controller (rev 02)
00:0c.0 Network controller: Broadcom Corporation BCM94306 802.11g (rev 02)
00:0d.0 USB Controller: NEC Corporation USB (rev 43)
00:0d.1 USB Controller: NEC Corporation USB (rev 43)
00:0d.2 USB Controller: NEC Corporation USB 2.0 (rev 04)
00:0e.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T
(rev 01)
00:10.0 IDE interface: ALi Corporation M5229 IDE (rev c4)
00:11.0 Bridge: ALi Corporation M7101 PMU
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility U1
Comment 12 Giuseppe Burgio 2003-11-17 14:40:25 EST
I am seeing this on notebook HP ze4416EA (Athlon XP-M)
Comment 13 Matteo 2004-01-08 14:18:15 EST
I have a Compaq presario 2510EA, P4 2,4 GhZ with RedHat 9.B and kernel
2.4.24.
I boot my system, log in and switch to the 1st console.
I leave the pc inactive for one day, and when I look to the screen
there are severel (20-30) lines saing:

i8253 count too high! resetting..

P.S. I buyed RedHat 9.B with RedHat Magazine, in Italy, I don't know
if in other countries RedHat Magazine sell Original RedHat CDs.
However 9.b is a RedHat 9.0 with newer packages and better localization.
Comment 14 A.Bourinsky 2004-01-14 02:27:22 EST
A7A266 motherboard, athlonXP
RedHat Enterprise 3WS
linux-2.4.21-4.0.2.EL

> dmesg 
.... 
i8253 count too high! resetting.. 
i8253 count too high! resetting.. 
i8253 count too high! resetting.. 
i8253 count too high! resetting.. 
.... 
Comment 15 Harald Hannelius 2004-02-10 03:29:29 EST
I'm seeing this too. NFS server with Asus A7A266, Athlon 1400. After
upgrading the kernel from 2.4.20 to 2.4.24 one of the NFS-clients 
(the busiest one, shell/mail-server) started hanging. I tried everything
on the client but booting back to 2.4.20 on the server only helped. 

The hangs on the client seems to be correlated to these "i8253 count too
high! resetting.." on the server. 

This was the first time I've seen load averages over a thousand! :)

slackware (version kind of floating). 
Comment 16 Daniel F Salinas 2004-03-08 19:59:56 EST
This is happening on our HP BL20p G2 blades (Xeon 3.0GHz) running
RHEL3 AS, kernel 2.4.21-9.0.1.ELsmp, the latest for this channel via
RHN.  I would like to know the nature and severity of this bug.  Can a
system with this problem be considered stable and reliable enough for
a critial production server?  If not, any word on when a RHEL3 AS
kernel that fixes this might appear on RHN? 
Comment 17 Marco Colombo 2004-03-15 05:53:03 EST
I've found this thread, I think this is where the warning messages 
has been introduced into the kernel...
http://www.ussg.iu.edu/hypermail/linux/kernel/0211.0/0330.html

The patch should be this one:
http://www.ussg.iu.edu/hypermail/linux/kernel/0211.0/1992.html

As I read it, the warning is harmless, the kernel fixes the problem as
soon as it's detected. I have about ten systems that show the warning
message in their logs, and had no stability problems so far.
Of course I don't like having those messages displayed on console
either...
Comment 18 Ernie Petrides 2004-06-14 19:49:36 EDT
I'll look into this for RHEL3 U4 (or reassign it).  Sorry for having
let this slip through the cracks for so long.  -ernie
Comment 20 Roland Friedwagner 2004-07-26 10:38:01 EDT
  
Running RHEL3 AS on HP Proliant DL740 Server  
after starting HP Proliant Support Package 7.10 Software  
the system performance tremendously degrades (long delayed  
responses when working in shells, system load goes over 0.30   
after running for a while).  
Console shows message "i8253 count too high! resetting.." from  
time to time.  
  
Best Regards,  
Roland  
 
Comment 22 Ernie Petrides 2005-06-23 14:19:52 EDT
*** Bug 102973 has been marked as a duplicate of this bug. ***
Comment 23 Ernie Petrides 2005-06-23 14:24:10 EDT
*** Bug 103024 has been marked as a duplicate of this bug. ***
Comment 24 Eric Hagberg 2005-06-23 14:41:37 EDT
so the only movement on this issue has been marking other reports as dupes of it?

Over a year ago, we heard "I'll look into this for RHEL3 U4"... any real
progress on this would be appreciated.

Also, if all similar reports are marked as dupes of this, then maybe the
platform should be changed to include other affected architectures - i386 at
least - so that people don't assume this is an athlon only issue. (It isn't.)
Comment 25 Ernie Petrides 2005-06-23 15:18:05 EDT
Eric, the "progress" is that I've reassigned it to someone who will
actually have time to work on it.  I apologize for not having done
this sooner.
Comment 26 Al Smith 2005-09-12 12:47:42 EDT
RHEL3 U4
Problem still exists

Linux phllut01 2.4.21-32.0.1.ELsmp #1 SMP Tue May 17 17:52:23 EDT 2005 i686 i686
i386 GNU/Linux


00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (AGP
disabled) (rev 03)
        Flags: bus master, medium devsel, latency 0

00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 01)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 0
        I/O ports at ffa0 [size=16]

00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
        Flags: medium devsel, IRQ 9

00:08.0 VGA compatible controller: S3 Inc. 86c764/765 [Trio32/64/64V+] (prog-if
00 [VGA])
        Flags: bus master, fast devsel, latency 0
        Memory at f8000000 (32-bit, non-prefetchable) [size=64M]

00:0a.0 Ethernet controller: Digital Equipment Corporation DECchip 21140
[FasterNet] (rev 20)
        Subsystem: Unknown device 0a00:2114
        Flags: bus master, medium devsel, latency 64, IRQ 9
        I/O ports at ec00 [size=128]
        Memory at febfe000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at febfd800 [disabled] [size=2K]

00:0b.0 SCSI storage controller: Adaptec AHA-294x / AIC-7870 (rev 02)
        Subsystem: Microsoft Corporation: Unknown device 7078
        Flags: bus master, fast devsel, latency 0, IRQ 11
        I/O ports at e800 [disabled] [size=256]
        Memory at febff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at febf0000 [disabled] [size=32K]


Linux version 2.4.21-32.0.1.ELsmp (bhcompile@bugs.build.redhat.com) (gcc version
3.2.3 20030502 (Red Hat Linux 3.2.3-52)) #1 SMP Tue May 17 17:52:23 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000fff0000 (usable)
 BIOS-e820: 000000000fff0000 - 000000000ffff000 (ACPI data)
 BIOS-e820: 000000000ffff000 - 0000000010000000 (ACPI NVS)
 BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
255MB LOWMEM available.
NX protection not present; using segment protection
On node 0 totalpages: 65520
zone(0): 2048 pages.
zone(1): 63472 pages.
zone(2): 0 pages.
Kernel command line: ro root=LABEL=/
No local APIC present or hardware disabled
Initializing CPU#0
Detected 2654.033 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 5439.48 BogoMIPS
Page-cache hash table entries: 65536 (order: 6, 256 KB)
Page-pin hash table entries: 16384 (order: 4, 64 KB)
Dentry cache hash table entries: 32768 (order: 6, 256 KB)
Inode cache hash table entries: 16384 (order: 5, 128 KB)
Buffer cache hash table entries: 16384 (order: 4, 64 KB)
Memory: 250284k/262080k available (1716k kernel code, 9364k reserved, 1302k
data, 228k init, 0k highmem)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU:     After generic, caps: 07c0a97b 00000000 00000000 00000000
CPU:             Common caps: 07c0a97b 00000000 00000000 00000000
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: none
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU:     After generic, caps: 07c0a97b 00000000 00000000 00000000
CPU:             Common caps: 07c0a97b 00000000 00000000 00000000
CPU0: Intel(R) Pentium(R) 4 CPU 2.80GHz stepping 04
per-CPU timeslice cutoff: 2924.81 usecs.
task migration cache decay timeout: 10 msecs.
SMP motherboard not detected.
Local APIC not detected. Using dummy APIC emulation.
zapping low mappings.
Process timing init...done.
Starting migration thread for cpu 0
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Total HugeTLB memory allocated, 0
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
aio_setup: num_physpages = 16380
aio_setup: sizeof(struct page) = 60
Hugetlbfs mounted.
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a TI16750
ttyS1 at 0x02f8 (irq = 3) is a TI16750
Real Time Clock Driver v1.10e
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 256 RAM disks of 8192K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller at PCI slot 00:07.1
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:DMA, hdd:pio
hda: Virtual HD, ATA DISK drive
blk: queue c050dd40, I/O limit 4095Mb (mask 0xffffffff)
hdc: Virtual CD, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: attached ide-disk driver.
hda: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hda: task_no_data_intr: error=0x04 { DriveStatusError }
hda: 153089760 sectors (78382 MB) w/64KiB Cache, CHS=9529/255/63, DMA
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 >
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
Initializing IPsec netlink socket
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 270k freed
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
megaraid: v1.18k (Release Date: Thu Aug 28 10:05:11 EDT 2003)
megaraid: no BIOS enabled.
LVM version 1.0.8-2(26/05/2004) module loaded
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 228k freed
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,3), internal journal
loop: loaded (max 8 devices)
Adding Swap: 4104596k swap-space (priority -1)
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,4), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,0), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,5), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,2), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on lvm(58,3), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
IA-32 Microcode Update Driver: v1.13 <tigran@veritas.com>
microcode: CPU0 updated from revision 0x0 to 0x0, date = 07302004 
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
PCI: Found IRQ 11 for device 00:0b.0
PCI: Setting latency timer of device 00:0b.0 to 64
ahc_pci:0:11:0: Using left over BIOS settings
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.36
        <Adaptec aic7870 SCSI adapter>
        aic7870: Single Channel A, SCSI Id=7, 16/253 SCBs

blk: queue cd9cb418, I/O limit 4095Mb (mask 0xffffffff)
scsi : 0 hosts left.
inserting floppy driver for 2.4.21-32.0.1.ELsmp
Floppy drive(s): fd0 is 1.44M
FDC 0 is an 82078.
Linux Tulip driver version 0.9.15-pre12 (Aug 9, 2002)
PCI: Found IRQ 9 for device 00:0a.0
tulip0:  EEPROM default media type 100baseTx-FDX.
tulip0:  Index #0 - Media 100baseTx (#3) described by a 21140 non-MII (0) block.
tulip0:  Index #1 - Media 100baseTx-FDX (#5) described by a 21140 non-MII (0) block.
divert: allocating divert_blk for eth0
eth0: Digital DS21140 Tulip rev 32 at 0xd0a9c000, 00:03:FF:9A:32:49, IRQ 9.
divert: freeing divert_blk for eth0
ip_tables: (C) 2000-2002 Netfilter core team
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
lp0: using parport0 (polling).
lp0: console ready
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb.c: registered new driver serial
usbserial.c: USB Serial support registered for Generic
usbserial.c: USB Serial Driver core v1.4
Linux Tulip driver version 0.9.15-pre12 (Aug 9, 2002)
PCI: Found IRQ 9 for device 00:0a.0
tulip0:  EEPROM default media type 100baseTx-FDX.
tulip0:  Index #0 - Media 100baseTx (#3) described by a 21140 non-MII (0) block.
tulip0:  Index #1 - Media 100baseTx-FDX (#5) described by a 21140 non-MII (0) block.
divert: allocating divert_blk for eth0
eth0: Digital DS21140 Tulip rev 32 at 0xd0b34000, 00:03:FF:9A:32:49, IRQ 9.
ip_tables: (C) 2000-2002 Netfilter core team
ip_tables: (C) 2000-2002 Netfilter core team
eth0: Using EEPROM-set media 100baseTx-FDX.
i8253 count too high! resetting..
i8253 count too high! resetting..
i8253 count too high! resetting..

Comment 32 Selectica Pune 2006-02-22 02:58:27 EST
I am getting the same error when I am trying to boot RHEL3 under
Microsoft Virtual Server 2005. I am using Dell Poweredge 4600 server hardware.


Comment 34 Marco Colombo 2006-03-31 06:22:30 EST
AFAIK, no "real progress" can be made on this bug. It's a harmless warning
message the kernel prints when it trivially handles a hardware-related issue
(reading two i/o ports gives unexpected results). The only way to "fix" it is to
remove the printk, or to replace the motherboard.

I think kernel developers are happy with the patch (see the links in a previous
message of mine), and no one is going to look after it again anytime soon.

In summary: there's a hardware bug, the software fixes it, and prints a message
after doing so.

It's not a bug, it's a fix being deliberately verbose.
Comment 35 Al Smith 2006-03-31 07:15:16 EST
Hmmm.. If the patch is making it very verbose then the syslog.conf needs to be 
configured to filter that particular message out. If not the msgbuf would fill 
and make it extremly difficult to troubleshoot further system issues. 
Comment 37 Ernie Petrides 2006-04-06 23:16:04 EDT
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.6.EL).
Comment 38 Bob Johnson 2006-04-11 12:02:04 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.
Comment 41 Red Hat Bugzilla 2006-07-20 09:11:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html

Note You need to log in before you can comment on or make changes to this bug.